import { ModuleWithProviders } from '@angular/core';
import * as i0 from "@angular/core";
import * as i1 from "./directives/template.directive";
import * as i2 from "./form-error/form-error.component";
import * as i3 from "./directives/form-submit.directive";
import * as i4 from "./directives/input.directive";
import * as i5 from "./directives/focus.directive";
import * as i6 from "./directives/focus-trap.directive";
import * as i7 from "./directives/autosize.directive";
import * as i8 from "./directives/addon.directive";
import * as i9 from "./pipes/file-size.pipe";
import * as i10 from "./pipes/file-image.pipe";
import * as i11 from "./pipes/relative-time.pipe";
import * as i12 from "./button/button.component";
import * as i13 from "./spinner/spinner.component";
import * as i14 from "./icon/icon.component";
import * as i15 from "./form-control/form-control.component";
import * as i16 from "./form-group/form-group.component";
import * as i17 from "./checkbox/checkbox.component";
import * as i18 from "./dropdown/dropdown.component";
import * as i19 from "./tag/tag.component";
import * as i20 from "./avatar/avatar.component";
import * as i21 from "./file-picker/file-picker.component";
import * as i22 from "./image-picker/image-picker.component";
import * as i23 from "./date-picker/date-picker.component";
import * as i24 from "@angular/common";
import * as i25 from "@angular/forms";
import * as i26 from "@bravobit/bb-foundation/localize";
export declare class ElementsModule {
    static forRoot(): ModuleWithProviders<ElementsModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ElementsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<ElementsModule, [typeof i1.BbTemplate, typeof i2.BbFormError, typeof i3.BbFormSubmit, typeof i4.BbInput, typeof i4.BbSelect, typeof i5.BbFocus, typeof i6.BbFocusTrap, typeof i7.BbAutosize, typeof i8.BbPrefix, typeof i8.BbSuffix, typeof i9.BbFileSize, typeof i10.BbFileImage, typeof i11.BbRelativeTime, typeof i12.BbButton, typeof i12.BbAnchor, typeof i13.BbSpinner, typeof i14.BbIcon, typeof i15.BbFormControl, typeof i16.BbFormGroup, typeof i17.BbCheckbox, typeof i18.BbDropdown, typeof i18.BbDropdownItem, typeof i19.BbTag, typeof i20.BbAvatar, typeof i21.BbFilePicker, typeof i22.BbImagePicker, typeof i23.BbDatePicker], [typeof i24.CommonModule, typeof i25.ReactiveFormsModule, typeof i26.LocalizeModule], [typeof i1.BbTemplate, typeof i2.BbFormError, typeof i3.BbFormSubmit, typeof i4.BbInput, typeof i4.BbSelect, typeof i5.BbFocus, typeof i6.BbFocusTrap, typeof i7.BbAutosize, typeof i8.BbPrefix, typeof i8.BbSuffix, typeof i9.BbFileSize, typeof i10.BbFileImage, typeof i11.BbRelativeTime, typeof i12.BbButton, typeof i12.BbAnchor, typeof i13.BbSpinner, typeof i14.BbIcon, typeof i15.BbFormControl, typeof i16.BbFormGroup, typeof i17.BbCheckbox, typeof i18.BbDropdown, typeof i18.BbDropdownItem, typeof i19.BbTag, typeof i20.BbAvatar, typeof i21.BbFilePicker, typeof i22.BbImagePicker, typeof i23.BbDatePicker]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<ElementsModule>;
}
export declare const ELEMENTS_MATERIAL_ICON: {
    provide: import("@angular/core").InjectionToken<import("./elements.interfaces").ElementsIcon[]>;
    useValue: {
        namespace: string;
        className: string;
        uses: string;
        type: string;
    };
    multi: boolean;
};
export declare function getErrors(): {
    unknown: () => string;
    required: () => string;
    pattern: () => string;
    email: () => string;
    emailTaken: () => string;
    passwordMatch: () => string;
    confirm: () => string;
    fullNumber: () => string;
    min: ({ min }: {
        min: any;
    }) => {
        token: string;
        data: {
            min: any;
        };
    };
    max: ({ max }: {
        max: any;
    }) => {
        token: string;
        data: {
            max: any;
        };
    };
    maxFileSize: ({ maxSize }: {
        maxSize: any;
    }) => {
        token: string;
        data: {
            maxSize: any;
        };
    };
    minDate: ({ date }: {
        date: any;
    }) => {
        token: string;
        data: {
            date: any;
        };
    };
    maxDate: ({ date }: {
        date: any;
    }) => {
        token: string;
        data: {
            date: any;
        };
    };
    invalidDate: () => string;
    invalidFileType: () => string;
    minlength: ({ requiredLength, actualLength }: {
        requiredLength: any;
        actualLength: any;
    }) => {
        token: string;
        data: {
            requiredLength: any;
            actualLength: any;
        };
    };
    maxlength: ({ requiredLength, actualLength }: {
        requiredLength: any;
        actualLength: any;
    }) => {
        token: string;
        data: {
            requiredLength: any;
            actualLength: any;
        };
    };
};
