/// <reference types="grecaptcha" />
import { AfterViewInit, ElementRef, EventEmitter, NgZone, OnDestroy } from '@angular/core';
import { RecaptchaConfig } from '../recaptcha.interface';
import { IsGroupedConstructor } from '@bravobit/bb-foundation';
import { ControlValueAccessor } from '@angular/forms';
import { RecaptchaLoader } from '../recaptcha-loader.service';
import * as i0 from "@angular/core";
declare class BbRecaptchaBase {
}
declare const BbRecaptchaMixinBase: IsGroupedConstructor & typeof BbRecaptchaBase;
export declare class RecaptchaComponent extends BbRecaptchaMixinBase implements ControlValueAccessor, AfterViewInit, OnDestroy {
    private _zone;
    private _elementRef;
    private _loader;
    private _config?;
    id: string;
    siteKey: string | null;
    tabIndex: number | null;
    type: ReCaptchaV2.Type | null;
    size: ReCaptchaV2.Size | null;
    theme: ReCaptchaV2.Theme | null;
    badge: ReCaptchaV2.Badge | null;
    errorMode: 'handled' | 'default';
    resolved: EventEmitter<string>;
    error: EventEmitter<[]>;
    private _widgetId;
    private _grecaptcha;
    private _executeRequested;
    private _onChange;
    private _onTouched;
    private _subscriptions;
    constructor(_zone: NgZone, _elementRef: ElementRef, _loader: RecaptchaLoader, _config?: RecaptchaConfig);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    execute(): void;
    reset(): void;
    writeValue(value: string): void;
    registerOnChange(fn: (value: string) => void): void;
    registerOnTouched(fn: () => void): void;
    onResolve(event: string): void;
    private renderCaptchaElement;
    private resetCaptchaElement;
    private initializeProperties;
    static ɵfac: i0.ɵɵFactoryDeclaration<RecaptchaComponent, [null, null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RecaptchaComponent, "bb-recaptcha", ["bbRecaptcha"], { "grouped": "grouped"; "id": "id"; "siteKey": "siteKey"; "tabIndex": "tabIndex"; "type": "type"; "size": "size"; "theme": "theme"; "badge": "badge"; "errorMode": "errorMode"; }, { "resolved": "resolved"; "error": "error"; }, never, never>;
}
export {};
